Bug 150145 - clustat should have -h option
Summary: clustat should have -h option
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-02 21:32 UTC by Derek Anderson
Modified: 2009-04-16 20:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 19:40:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2005-03-02 21:32:21 UTC
Description of problem:
clustat should have a -h option to show available options.  Currently
disregards it and runs a vanilla clustat.

[root@link-08 ~]# clustat -h
clustat: invalid option -- h
Member Status: Quorate

Not a member of the Resource Manager service group.
Resource Group information unavailable; showing all cluster members.

  Member Name                              State      ID
  ------ ----                              -----      --
  link-10                                  Online     0x000000000000000a
  link-12                                  Online     0x000000000000000c
  link-11                                  Online     0x000000000000000b
  link-08                                  Online     0x0000000000000008


Version-Release number of selected component (if applicable):
clustat version 1.9.19
Connected via: CMAN/SM Plugin v1.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Derek Anderson 2005-03-02 21:34:19 UTC
clusvcadm too:

[root@link-08 ~]# clusvcadm -h
clusvcadm: invalid option -- h

Comment 2 Lon Hohberger 2005-03-02 22:05:19 UTC
agreed

Comment 3 Lon Hohberger 2005-03-03 19:58:51 UTC
in CVS.

Comment 4 Derek Anderson 2005-03-07 19:40:42 UTC
Verified in clustat version 1.9.23.

[root@link-12 ~]# clustat -h
usage: clustat <options>
    -i <interval>      Refresh every <interval> seconds.  May not be used
                       with -x.
    -I                 Display local node ID and exit
    -m <member>        Display status of <member> and exit
    -s <service>       Display statis of <service> and exit
    -v                 Display version & cluster plugin and exit
    -x                 Dump information as XML

[root@link-12 ~]# clusvcadm -h
usage: clusvcadm -d <group>             Disable <group>
       clusvcadm -e <group>             Enable <group>
       clusvcadm -e <group> -m <member> Enable <group> on <member>
       clusvcadm -r <group> -m <member> Relocate <group> [to <member>]
       clusvcadm -q                     Quiet operation
       clusvcadm -R <group>             Restart a group in place.
       clusvcadm -s <group>             Stop <group>
       clusvcadm -v                     Display version and exit


Note You need to log in before you can comment on or make changes to this bug.